::###################################################################
::	Einfache batch zum erstellen von Changelogs aus Mercurial (HG)  #
::###################################################################
@echo off

:: Vollstndiger Pfad zur hg.exe. Falls "hg" im system integriert ist kann hier einfach hg eingetragen werden.
set PathToHg=""

:: Wo soll die generierte changelog.txt gespeichert werden?
set PathToStore=""

:: Seit/Bis Revision. Min = Seit #Rev (Bsp.: 11), Max = Bis #Rev (Bsp.: 60).
set /p Min="Seit Revision: "
set /p Max="Bis Revision: "


:: Style der Ausgabe. Infos: http://hgbook.red-bean.com/read/customizing-the-output-of-mercurial.html#sec:template:keyword
set Template="{rev}:{date|isodate}\n{desc}\n\n"

:: Fertig.
:: No need to edit below this line
%PathToHg% log -r %Min%:%Max% --template %Template% -P %Min% > %PathToStore%\changelog-%Min%_%Max%.txt